Package com.usatiuk.dhfs.jkleppmanntree

# Class JKleppmannTreeOpExtractor

java.lang.Object
com.usatiuk.dhfs.jkleppmanntree.JKleppmannTreeOpExtractor

All Implemented Interfaces:
  `OpExtractor<JKleppmannTreePersistentData>`

@ApplicationScoped public class JKleppmannTreeOpExtractor extends Object implements OpExtractor<JKleppmannTreePersistentData>

## Constructor Summary

Constructors
Constructor
Description
`JKleppmannTreeOpExtractor()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
`extractOps(JKleppmannTreePersistentData data, PeerId peerId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JKleppmannTreeOpExtractor

public JKleppmannTreeOpExtractor()

## Method Details

### extractOps

public org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable> extractOps(JKleppmannTreePersistentData data, PeerId peerId)

Specified by:
  `extractOps` in interface `OpExtractor<JKleppmannTreePersistentData>`